package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-28
 */
public enum ClientEnum implements BaseEnum<String,ClientEnum> {
    TEACHER("TEACHER", "老师端"),
    STUDENT("STUDENT", "学生端"),
    SYSTEM("SYSTEM", "平台端"),

    ;
    @EnumValue
    private String code;
    private String msg;

    ClientEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
